Subject: Re: nncp-daemon: sendto: network is unreachable

From: John Goerzen <[email-masked]>
Date: Mon, 01 Dec 2025 18:34:47 -0600

On Tue, Dec 02 2025, Hadmut Danisch wrote:

> Hi,
>
> when running 
>
> nncp-daemon -bind 192.168.2.23:1234
>
> I do get
>
> 2025-12-01T23:07:50Z ERROR MCD on lo/5400/1234: write udp [::]:1234->
> [ff02::4e4e:4350%lo]:5400: sendto: network is unreachable
>
> How can I turn MCD off?  Shouldn't it, for reasons of security, used only when
> explicetely turned on?

I think you can just comment out the mcd lines in the config, or tighten
up their patterns.

I don't think there is a security risk since any peer has to
authenticate itself and be known to your NNCP already.

What OS are you on?  It sounds like lo isn't an Ethernet interface and
probably shouldn't be used.

- John

> regards
> Hadmut